#define POTENTIOMETRE A0 // une résistance variable (broche du milieu) connectée sur la broche analogique A0
// les autres broches de la résistance sont connectées l'une au 5V et l'autre au 0V

#define LED_V1 12
#define LED_V2 11
#define LED_O1 10
#define LED_O2 9
#define LED_R1 8
#define BUZZER 0

int valLue = 0;   // variable de type int pour stocker la valeur de la mesure
float vIn = 0.0;  // variable réelle pour conversion en tension

void setup() {
pinMode(LED_V1, OUTPUT);
pinMode(LED_V2, OUTPUT);
pinMode(LED_O1, OUTPUT);
pinMode(LED_O2, OUTPUT);
pinMode(LED_R1, OUTPUT);
pinMode(BUZZER, OUTPUT);
}

void loop() {
// Eteint toutes les leds
digitalWrite(LED_V1, LOW); 
digitalWrite(LED_V2, LOW); 
digitalWrite(LED_O1, LOW); 
digitalWrite(LED_O2, LOW); 
digitalWrite(LED_R1, LOW); 
digitalWrite(BUZZER, LOW);

// lit la valeur de la tension analogique présente sur la broche
valLue = analogRead(POTENTIOMETRE);
vIn = (valLue * 5.0) / 1023; // conversion en volts du résultat sur 10 bits (0 à 1023) 

// sélectionne la led à allumer en fonction de la tension
if (vIn < 1.0) digitalWrite(LED_V1, HIGH);
else if (vIn < 2.0) digitalWrite(LED_V2,HIGH);
else if (vIn < 3.0) digitalWrite(LED_O1,HIGH);
else if (vIn < 4.0) digitalWrite(LED_O2,HIGH);
else {
digitalWrite(LED_R1,HIGH);
digitalWrite(BUZZER, HIGH);
}

delay(500); // temporise entre 2 lectures
}
